listen_addresses = '*'

shared_buffers = 1536MB
work_mem = 491kB
maintenance_work_mem = 768MB

shared_preload_libraries = 'pg_stat_statements,pg_cron,dblink'

track_activity_query_size = 10240

pg_stat_statements.track = all

bgwriter_delay = 100ms
bgwriter_lru_maxpages = 1000
bgwriter_lru_multiplier = 8.0

max_worker_processes = 8

max_parallel_workers_per_gather = 4
max_parallel_workers = 8

wal_buffers = 16MB

min_wal_size = 4GB

effective_cache_size = 4608MB

default_statistics_target = 500

syslog_facility = 'LOCAL2'

log_checkpoints = on
log_line_prefix = '%t [%p,%d,%a] '

datestyle = 'iso, mdy'

default_text_search_config = 'pg_catalog.english'

cron.max_running_jobs=120
